import pygame, data
from pygame import *

class dialog:
  def __init__(self):
    self.convos = [[] for j in range(100)]
    for line in data.load("dialog.txt").readlines():
      if not "|" in line: continue
      n, npic, text = line[:-1].split("|")
      self.convos[int(n)].append((int(npic), text))
    aname = ("you", "priscilla", "larry") # , "morgan", "grigori")
    self.avatar = [data.loadimg(a + ".png") for a in aname]
  def hold(self, scr, n):
    backdrop = surface.Surface((scr.x, scr.y))
    b2 = surface.Surface((scr.x, scr.y)).convert_alpha()
    b2.fill((0, 0, 0, 120))
    backdrop.blit(scr.surf, (0, 0))
    backdrop.blit(b2, (0,0))
    c = self.convos[n]
    font.init()
    f = font.SysFont("freeserif", 20, True, True)
    for n, cline in c:
      tsurf = f.render(cline, True, (0, 0, 0), (255, 255, 255))
      trect = tsurf.get_rect()
      trect.center = scr.x/2, scr.y/2 + 40
      scr.surf.blit(backdrop, (0, 0))
      scr.surf.blit(tsurf, trect)
      arect = self.avatar[n].get_rect()
      if n == 0:
        arect.topleft = 40, 40
      else:
        arect.topright = scr.x - 40, 40
      scr.surf.blit(self.avatar[n], arect)
      display.flip()
      waiting = True
      c = time.Clock()
      while waiting:
        c.tick(60)
        e = event.get()
        for x in e:
          if x.type == KEYDOWN:
            waiting = False
            if x.key == K_ESCAPE: return
          elif x.type == MOUSEBUTTONDOWN:
            waiting = False


