# A "rotated image" class

import pygame, data
from pygame import *

class Rimage:
  def __init__(self, name1, name2, n = 6):
    self.name1, self.name2, self.n = name1, name2, n
    self.frame = []
    for j in range(n):
      im = data.loadimg(name1, name2 + str(j) + ".png")
      self.frame.append(im)
    for j in range(n, 4*n):
      im = transform.rotate(self.frame[j-n], 90)
      self.frame.append(im)
  def getframe(self, alpha):
    j = int(alpha * 4 * self.n + 0.5) % (4 * self.n)
    return self.frame[j]


